Name: libogg
Version: 1.1.3
Release: alt1

Summary: Ogg Bitstream Library
Summary(ru_RU.CP1251):    Ogg
License: BSD-like
Group: System/Libraries
Url: http://www.vorbis.com/
Source: http://downloads.xiph.org/releases/ogg/%name-%version.tar.gz
Packager: Eugene Ostapets <eostapets@altlinux.ru>

%def_disable static
%{?_enable_static:BuildPreReq: glibc-devel-static}

# Automatically added by buildreq on Sat Sep 25 2004
BuildRequires: gcc-c++ hostinfo libstdc++-devel

%description
Libogg is a library for manipulating ogg bitstreams. It handles
both making ogg bitstreams and getting packets from ogg bitstreams.

%description -l ru_RU.CP1251
Libogg -        ogg.
          .

%package devel
Summary: Development files for libogg
Group: Development/C
PreReq: %name = %version-%release

%description devel
The libogg-devel package contains the header files and documentation
needed to develop applications with libogg.

%description devel -l ru_RU.CP1251
    ,    libogg
  .

%package devel-static
Summary: Static libraries for libogg
Group: Development/C
PreReq: %name-devel = %version-%release

%description devel-static
This package contains development libraries required for packaging
statically linked libogg-based software.

%description devel-static -l ru_RU.CP1251
     , 
  libogg    .

%prep
%setup -q

%build
%{?!_enable_static:export li_cv_prog_cc_static_works=no}
%configure
%make_build

%install
%make_install install DESTDIR=$RPM_BUILD_ROOT
install -p -m644 AUTHORS CHANGES COPYING README $RPM_BUILD_ROOT%_docdir/%name-%version

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%_libdir/*.so.*
%dir %_docdir/%name-%version
%_docdir/%name-%version/[A-Z]*

%files devel
%_includedir/*
%_libdir/*.so
%_libdir/pkgconfig/*.pc
%_datadir/aclocal/*
%dir %_docdir/%name-%version
%_docdir/%name-%version/[a-z]*

%if_enabled static
%files devel-static
%_libdir/*.a
%endif

%changelog
* Thu Nov 30 2006 Eugene Ostapets <eostapets@altlinux.ru> 1.1.3-alt1
- new version 1.1.3

* Thu Feb 02 2006 ALT QA Team Robot <qa-robot@altlinux.org> 1.1.2-alt1.1
- Rebuilt for new pkg-config dependencies.

* Sat Sep 25 2004 Andrey Astafiev <andrei@altlinux.ru> 1.1.2-alt1
- 1.1.2

* Mon Sep 13 2004 Andrey Astafiev <andrei@altlinux.ru> 1.1.1-alt1
- 1.1.1

* Sat Nov 22 2003 Andrey Astafiev <andrei@altlinux.ru> 1.1-alt1
- 1.1

* Thu Oct 31 2002 Rider <rider@altlinux.ru> 1.0release-alt2
- rebuild with gcc 3.2

* Tue Jul 30 2002 Andrey Astafiev <andrei@altlinux.ru> 1.0release-alt1
- 1.0
- some temprorary changes to avoid using Serial.

* Thu Jan 03 2002 Andrey Astafiev <andrei@altlinux.ru> 1.0rc3-alt1
- 1.0rc3

* Thu Sep 27 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.0-alt2
- Fixed license tag.
- Relocated documentation, a bit more specfile cleanup.

* Thu Sep 27 2001 Andrey Astafiev <andrei@altlinux.ru> 1.0rc2-alt1
- spec cleanup.

* Sat Sep 22 2001 Michael Shigorin <mike@lic145.kiev.ua>
- built for ALTLinux.

* Sat Sep 02 2000 Jack Moffitt <jack@icecast.org>
- initial spec file created.
